
Katello - Bug #4721

(nightlies 3-19-14) applying errata to a system causes errors

03/19/2014 04:51 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[root@satellite foreman-proxy]# rpm -qa | grep -E "foreman|katello" | sort

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403182251gita638704.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403182251gita638704.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403182248git62f913f.git.0.087e5ab.el6.noarch

rubygem-katello_api-0.0.8-1.201403182244git25f03d8.git.0.b35bfdd.el6.noarch

On the foreman side:

Processing by Katello::Api::V2::SystemErrataController#apply as JSON

Parameters: {"uuid"=>"46c2fd32-0ab6-406a-9234-b7eb69da5d23", "errata_ids"=>["RHSA-2013:1591"], "api_version"=>"v2",

"system_id"=>"46c2fd32-0ab6-406a-9234-b7eb69da5d23",

"system_erratum"=>{"uuid"=>"46c2fd32-0ab6-406a-9234-b7eb69da5d23", "errata_ids"=>["RHSA-2013:1591"]}}

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/system_errata/system_task.json.rabl

within katello/api/v2/layouts/resource (9.6ms)

Completed 200 OK in 152ms (Views: 14.5ms | ActiveRecord: 21.3ms)

ActionController::RoutingError (No route matches [GET] "/katello/api/v2/systems/tasks/31"):

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

Processing by Katello::Api::V1::CandlepinProxiesController#get as JSON

Parameters: {"api_version"=>"v1", "id"=>"46c2fd32-0ab6-406a-9234-b7eb69da5d23", "candlepin_proxy"=>{}}

Completed 200 OK in 71ms (Views: 0.3ms | ActiveRecord: 0.0ms)

On the client side (rhsm.log):

2014-03-19 12:45:52,330 [INFO]  @connection.py:538 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert =

/etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False

2014-03-19 12:45:52,330 [INFO]  @connection.py:549 - Connection Built: host: satellite.ejacobs.local, port: 443, handler: //katello/api

2014-03-19 12:45:52,345 [DEBUG]  @connection.py:360 - Loading CA PEM certificates from: /etc/rhsm/ca/

2014-03-19 12:45:52,346 [DEBUG]  @connection.py:342 - Loading CA certificate: '/etc/rhsm/ca/candlepin-local.pem'
2014-03-19 12:45:52,346 [DEBUG]  @connection.py:342 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'

2014-03-19 12:45:52,347 [DEBUG]  @connection.py:342 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'

2014-03-19 12:45:52,347 [DEBUG]  @connection.py:381 - Making request: GET

//katello/api/consumers/46c2fd32-0ab6-406a-9234-b7eb69da5d23/release

2014-03-19 12:45:52,469 [DEBUG]  @connection.py:394 - Response status: 200

2014-03-19 12:45:52,473 [DEBUG]  @repolib.py:190 - Content type kickstart not allowed, skipping content: rhel-6-server-kickstart

2014-03-19 12:45:52,474 [INFO]  @repolib.py:158 - repos updated: 3

2014-03-19 12:45:58,696 [WARNING]  @productid.py:258 - Error loading productid metadata for epel.

2014-03-19 12:45:58,696 [WARNING]  @productid.py:258 - Error loading productid metadata for epel.

2014-03-19 12:45:58,700 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,700 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,702 [WARNING]  @productid.py:258 - Error loading productid metadata for foreman.

2014-03-19 12:45:58,702 [WARNING]  @productid.py:258 - Error loading productid metadata for foreman.

2014-03-19 12:45:58,702 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,702 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,702 [WARNING]  @productid.py:258 - Error loading productid metadata for foreman-plugins.

2014-03-19 12:45:58,702 [WARNING]  @productid.py:258 - Error loading productid metadata for foreman-plugins.

2014-03-19 12:45:58,702 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type
RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,702 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,703 [WARNING]  @productid.py:258 - Error loading productid metadata for katello.

2014-03-19 12:45:58,703 [WARNING]  @productid.py:258 - Error loading productid metadata for katello.

2014-03-19 12:45:58,703 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,703 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,705 [WARNING]  @productid.py:258 - Error loading productid metadata for katello-candlepin.

2014-03-19 12:45:58,705 [WARNING]  @productid.py:258 - Error loading productid metadata for katello-candlepin.

2014-03-19 12:45:58,705 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,705 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,706 [WARNING]  @productid.py:258 - Error loading productid metadata for katello-pulp.

2014-03-19 12:45:58,706 [WARNING]  @productid.py:258 - Error loading productid metadata for katello-pulp.

2014-03-19 12:45:58,706 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD
return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:58,706 [ERROR]  @productid.py:259 - requested datatype productid not available

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/productid.py", line 252, in getEnabled

fn = repo.retrieveMD(self.PRODUCTID)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1552, in retrieveMD

return self._retrieveMD(mdtype)

File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1560, in _retrieveMD

thisdata = self.repoXML.getData(mdtype)

File "/usr/lib/python2.6/site-packages/yum/repoMDObject.py", line 180, in getData

raise RepoMDError, "requested datatype %s not available" % type

RepoMDError: requested datatype productid not available

2014-03-19 12:45:59,627 [DEBUG]  @productid.py:141 - Updating installed certificates

2014-03-19 12:45:59,627 [DEBUG]  @productid.py:141 - Updating installed certificates

2014-03-19 12:45:59,627 [DEBUG]  @productid.py:143 - product cert: 69 repo: rhel-6-server-rpms

2014-03-19 12:45:59,627 [DEBUG]  @productid.py:143 - product cert: 69 repo: rhel-6-server-rpms

goferd/agent.log:

2014-03-19 12:46:00,009 [INFO][worker-0] sendreply() @ rmi.py:172 - 1834fa77-809e-44e6-92f9-50b9c5c97818 processed in: 7.757

(seconds)

Associated revisions

Revision e9af734d - 03/21/2014 12:27 PM - Walden Raines

Fixes #4721 - passing systemId into system tasks calls to match API.

Revision b48baf99 - 03/21/2014 04:08 PM - Walden Raines

Merge pull request #3862 from waldenraines/bug-4721

Fixes #4721 - passing systemId into system tasks calls to match API.

Revision 6daa73a6 - 03/21/2014 04:27 PM - Walden Raines

Fixes #4721 - passing systemId into system tasks calls to match API.

Revision 7fc1c1ac - 03/21/2014 08:08 PM - Walden Raines

Merge pull request #3862 from waldenraines/bug-4721

Fixes #4721 - passing systemId into system tasks calls to match API.

History

#1 - 03/19/2014 07:43 PM - Walden Raines

- Status changed from New to Assigned

- Assignee set to Walden Raines

#2 - 03/21/2014 04:24 PM - Walden Raines

https://github.com/Katello/katello/pull/3862

#3 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#4 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#5 - 03/21/2014 08:53 PM - Walden Raines

- Status changed from Assigned to Closed

- % Done changed from 0 to 100
Applied in changeset katello|commit:6daa73a6ab67bf98fe158e4948ef5fa736910fe0.

#6 - 06/06/2014 01:33 PM - Eric Helms

- Triaged set to Yes

#7 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
